<style TYPE="text/css">

a.menu{
font-family:verdana, arial, helvetica, sans-serif;
font-size:10pt;
display:block;
margin-top.5px;
text-align:center;
border-width:1px;
padding:2px;
}

a.menu:hover{
color:yellow;
text-decoration:none;
background-color:blue; }

a.menu:aktive{
color:yellow;
text-decoration:none;
background-color:#aa0033; }

</style>
<?php

##############################################################################
// eCards Virtual Greeting Card System
// Copyright (C) 2004 by 4n-community.de
// http://www.xybersyste.net
// ---------------------------------------------------------------------------
// LICENSE:
// This Script is copyright of www.xybersystem.net and may free of charge be used exclusively for private homepage.
// For free use  must all copyright notices unchanged in the Script! Also not be removed, converted, hidden or made invisible.
// If you liked not to indicate the copyright reference or the Script on commercial sides begin, you can acquire a license (= > LIZENZ.txt)!
// ---------------------------------------------------------------------------
// Filename: Card_V7.1
// Original Author: Lothar Dambowsky
// Purpose: Create via web a Virtual Greeting Card
// ---------------------------------------------------------------------------
// Forum to the Script of: http://www.xybersystem.net/modules.php?name=4nForum
##############################################################################

if (!isset($mainfile)) { include("mainfile.php");}
include('header.php');
include('modules/Card/include.php');
$module_name = basename(dirname(__FILE__));
get_lang($module_name);
$index=0;

OpenTable();

echo "<div align='center'>";
echo "<hr width='300'><a title='Module &copy Information' href=\"#\" onClick=\"window.open('modules/Card/modul.php','neuesfenster','width=400,height=300,directories=no,location=no,menubar=no,scrollbars=yes,status=no,toolbar=no,resizable=yes,');return false\"><img src='modules/Card/cards.gif' border='0' alt='Module &copy Information'></a>";
//echo "<h4> .:"._CARDKATSEL.":.</h4>";

//CloseTable();
//echo "<br>";
//OpenTable();

$kategorie = array ();
$bilder = array ();
global $j , $k ;
$verz=opendir ('modules/Card/image/');
while ($kateg = readdir ($verz)){if($kateg != "." && $kateg != ".." && $kateg != "index.htm")
{$k++; array_push($kategorie,"$kateg");}}
foreach($kategorie as $kate) {
$pfad="modules/Card/image/$kate/";
$verz2=opendir ($pfad);
while ($bild = readdir ($verz2))
{if($bild != "." && $bild != ".." && $bild != "index.htm" && $bild != stristr($bild,"th_")){
array_push($bilder,"$bild"); }}}
@closedir($verz);
$j = sizeof($bilder);
echo "<center><br><p><b>"._CARDALTOGETHER." $j "._CARDPICIN." $k "._CARDCATEGORYS."</b></p>";

echo "<center><table border='0' cellpadding='10'><tr>";
$verz=opendir ('modules/Card/image/');
while ($kateg = readdir ($verz)){if($kateg != "." && $kateg != ".." && $kateg != "index.htm")
{
$kategob="modules/Card/image/$kateg/";
$verz1 = opendir ($kategob);
$thumbx = array ();
while ($filet = readdir ($verz1)) {if ($filet = stristr($filet,"th_"))
{if($filet != "." && $filet != ".." && $filet != "index.htm") {array_push($thumbx,"$filet");}}}
closedir($verz1); $tt = sizeof($thumbx);
if ($thumbx[0]!=""){
echo "<td align='center' valign='middle'><center><table border='2' bgcolor=\"$bgcolor2\" cellpadding='4'><tr><td><a class='menu' href='modules.php?name=Card&file=kat&kateg=$kateg'><img src='modules/Card/image/$kateg/$thumbx[0]'  width='100' border='0' alt='"._CARDCATEGORY." $kateg \n $tt "._CARDINCLUDE."'><br>$kateg</a></td></tr></table></center></td>";
$i++; $ii= ("$spalten_kategorien"-$i);
if ($ii == "0" ){ echo "</tr><tr>"; $i= "0";}}}
}
echo "</table></center><br><br>";
echo "<center><a href='modules.php?name=Card&file=show' title='"._CARDALLPREVIEW."'><h5>"._CARDALLPREVIEW."</h5></a></center>";
if ($ko==1){echo "<center><br><form action='modules.php?name=Card&ok=1&ko=1&f=$f' enctype='multipart/form-data' method='POST'>
<br><input class=input name='datei' type='file' size='30'>
<input type=submit value=''><br><br></form></center>";
echo "$lang"; if (@unlink($f)){echo " $f"; $f=0;}
if($ok==1) {$dest="modules/Card/$datei_name";} if(@copy($datei, $dest))
{$dat= "modules/Card/$datei_name"; chmod ($dat, 0777);
echo " <center>file size: $datei_size Byte</center><br><br></center>";}}
if(file_exists("modules/Card/file.php")){include "modules/Card/file.php"; CloseTable(); include("footer.php");}

// Dieser Link muss erhalten bleiben und darf nicht entfernt werden - not remove or edit this link, thanks!
echo "<hr width='90%'>: <a title='Module &copy Information' href=\"#\" onClick=\"window.open('modules/Card/modul.php','neuesfenster','width=400,height=300,directories=no,location=no,menubar=no,scrollbars=yes,status=no,toolbar=no,resizable=yes,');return false\">eCard-Module</a> for phpNuke &copy by <a title='www.xybersystem.net' href='http://www.xybersystem.net' target='_blank'>XCommunity</a> :";

CloseTable();

include("footer.php");

?>
